Subject: Re: + net-ipv4-tcpc-fix-warning.patch added to -mm tree

From: William Allen Simpson <[email-masked]>
Date: Thu, 10 Dec 2009 08:48:30 -0500

Andrew Morton wrote:
> On Tue, 08 Dec 2009 20:45:53 -0500
> William Allen Simpson <[email-masked]> wrote:
>> I didn't have this warning, how in the world do you get it?
> 
> Used gcc-4.0.2.  They re-randomise the warnings with each release I think.
> 
Using gcc-4.4.1 here, and the usual 'make -s -j4 vmlinux'.

>> This is what David calls my "anal" coding style.  I check everything,
>> because someday somebody else might make a change, and it's important
>> that such problems be detected.  In this case, I assume the compiler
>> will compile them out or it would have no effect, and commented that
>> it should be impossible.
>>
>> Your test should probably be TCP_MSS_DEFAULT < TCP_COOKIE_PAIR_SIZE
> 
> I'd say just delete it ;)
> 
Well, David said he would, but nothing seems to have happened, so I'll
send a short patch in my next message.